Bug 120588 - ld.so.conf.d is empty for fc2-test2 upgrade install
ld.so.conf.d is empty for fc2-test2 upgrade install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-11 11:41 EDT by Alan Crosswell
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.3.3-47
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 03:39:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Crosswell 2004-04-11 11:41:38 EDT
Description of problem:

glibc's new ld.so.conf is installed as ld.so.conf.rpmnew and contains
"include ld.so.conf.d/*" however ld.so.conf.d is empty.  Manifests
itself as failure to start X.  Is this new ld.so.conf.d stuff supposed
to be getting filled in by package installs?

Note that if I had ignored the ld.so.conf.rpmnew, things would have
kept working -- until some package install added a file to ld.so.conf.d.

Version-Release number of selected component (if applicable):

glibc-2.3.3-18


How reproducible:

upgrade from FC1 to FC2-test2

Steps to Reproduce:
1. Do an upgrade installation of FC2-test2
2. Read thru /root/upgrade.log and notice warning about ld.so.conf.rpmnew
3. mv ld.so.conf.rpmnew to ld.so.conf
4. rerun ldconfig
5. reboot and try to startx.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ulrich Drepper 2004-10-01 03:29:32 EDT
FC2 is long released and we never saw such a problem.  If you still
have problems with FC3t2 (not FC2, it's pointless to test this at this
point) reopen the bug.
Comment 2 Jakub Jelinek 2004-10-01 03:37:52 EDT
Well, there is a problem in FC2 glibc in that it doesn't edit
/etc/ld.so.conf in glibc_post_upgrade to insert the include ld.so.conf.d/*.
So for FC2 you need to insert that manually.
Step 3. is a user bug though, if there is a rpmnew file, the administrator
is supposed to merge the files together, not simply overwrite one with
another, there might be bad consequences of doing that.

FC3t2 glibc_post_upgrade inserts include ld.so.conf.d/*, so this bug is issue
is fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.